Bug 816378 - fonts-tweak-tool is not localized
fonts-tweak-tool is not localized
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fonts-tweak-tool (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 18:31 EDT by Tommy He
Modified: 2013-02-01 12:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-01 12:06:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Completed Simplified Chinese po (2.11 KB, text/x-po)
2012-04-25 18:31 EDT, Tommy He
no flags Details
New zh_CN po file for fonts-tweak-tool (5.59 KB, application/octet-stream)
2012-12-25 23:36 EST, Tommy He
no flags Details
New zh_CN po file for fonts-tweak-tool (5.59 KB, application/octet-stream)
2012-12-26 02:09 EST, Tommy He
no flags Details

  None (edit)
Description Tommy He 2012-04-25 18:31:09 EDT
Created attachment 580302 [details]
Completed Simplified Chinese po

Description of problem:

The GUI of fonts-tweak-tool remains unlocalized on user desktop. As a tool specifically for a given language, it had better have a localized interface.

There's no access from Fedora Transifex to address the localization work of fonts-tweak-tool. Translator has to go github and grab the latest pot to create or update po.

Version-Release number of selected component (if applicable):

0.0.5-1.fc17

How reproducible:

100%

Steps to Reproduce:
1. Download fonts-tweak-tool from F17 repo
2. Launch the tool in a non-English desktop environment
3. Observe the interface
  
Actual results:

The interface displays English.

Translators have to go github to grab pot to start translation

Expected results:

The interface displays the preferred language set by user.

Translators can start working on translations on Fedora Transifex, as other Fedora component.

Additional info:

Attachment is the completed simplified Chinese po file.
Comment 1 A S Alam 2012-04-25 21:50:42 EDT
Please check if it is active on zanata:
https://translate.zanata.org/zanata/project/view/fonts-tweak-tool/iter/0.0.2/stats
Comment 2 Jens Petersen 2012-04-26 00:11:40 EDT
(In reply to comment #1)
> Please check if it is active on zanata:
> https://translate.zanata.org/zanata/project/view/fonts-tweak-tool/iter/0.0.2/stats

James, does it need to be updated to 0.0.5, if there have been string changes?
Comment 3 James Ni 2012-04-26 01:30:28 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > Please check if it is active on zanata:
> > https://translate.zanata.org/zanata/project/view/fonts-tweak-tool/iter/0.0.2/stats
> 
> James, does it need to be updated to 0.0.5, if there have been string changes?

Yeah, i have updated the fonts-tweak-tool on zanata to 0.0.5 and import the chinese translation from Tommy

https://translate.zanata.org/zanata/project/view/fonts-tweak-tool

For transifex, i also create a project and import source and translation on it. If translator prefer transifex, they can use it. 

https://www.transifex.net/projects/p/fonts-tweak-tool/
Comment 4 Akira TAGOH 2012-04-26 02:40:58 EDT
Hosting translations on multiple places sounds not a good idea. it may causes a trouble for duplicate works, translation conflicts and confusion from translators etc.
Comment 5 Akira TAGOH 2012-08-30 22:30:29 EDT
for the latest POT, https://translate.zanata.org/zanata/iteration/view/fonts-tweak-tool/master

I think fonts-tweak-tool is now capable to show localized strings. what's the goal to close this then?
Comment 6 Tommy He 2012-12-25 23:36:53 EST
Created attachment 669083 [details]
New zh_CN po file for fonts-tweak-tool

Hi,

I have updated the zh_CN.po for the master version on bitbucket.org. Please include it in next minor version release.

Somehow I had problem using Zanata(unable to receive account validation email). The pot on transifex is behind the release.

Once it's included, we may close this bug.

Thanks,
Comment 7 Tommy He 2012-12-26 02:09:33 EST
Created attachment 669112 [details]
New zh_CN po file for fonts-tweak-tool
Comment 8 Akira TAGOH 2012-12-26 05:25:40 EST
committed into upstream git. thanks!
Comment 9 Tommy He 2013-01-18 09:15:29 EST
Waiting for new build for F18 now.
Comment 10 Fedora Update System 2013-01-22 07:40:09 EST
fonts-tweak-tool-0.1.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fonts-tweak-tool-0.1.5-1.fc18
Comment 11 Fedora Update System 2013-01-23 11:29:57 EST
Package fonts-tweak-tool-0.1.5-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fonts-tweak-tool-0.1.5-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1373/fonts-tweak-tool-0.1.5-1.fc18
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-02-01 12:06:38 EST
fonts-tweak-tool-0.1.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.